<?php // login.php :: Handles logins and cookies.

include('function/lib.php');





   	
if (isset($_GET["do"])) {
    if ($_GET["do"] == "login") {
    
    $login=htmlspecialchars($_POST["login"]);
        $pass=md5(htmlspecialchars($_POST["pass"]));
        $sql = mysql_query("SELECT * FROM users WHERE login='$login' AND pass='$pass' LIMIT 1");

        if (mysql_num_rows($sql) == 0) {$page.=" <br />Неправильный логин или пароль.<br /><a href=\"./login.php\">Пожалуйста повторите!</a>";} else
        {
        	$row = mysql_fetch_array($sql);
        	if (isset($_POST["rememberme"])) { $expiretime = time()+31536000; $rememberme = 1; } else { $expiretime = 0; $rememberme = 0; }
        	$cookie = md5($row["id"] . " " . $login . " " . md5($pass . "--" . rand(1,1000)) . " " . $rememberme);
        	setcookie($gamename, $cookie, $expiretime, "/", "", 0);
            $sql = "UPDATE users SET cookid='$cookie' WHERE id=".$row[id];
            $result = mysql_query($sql);
            if ($result) {
            $page.="<div class='f'>Авторизация</div>";
            $page.="<div class='link'>";
        	    $page.="<b>Ваши данные:</b><br/>";
$browser_name = $_SERVER['HTTP_USER_AGENT'];
$ip=$_SERVER['REMOTE_ADDR'];

 
 $page.="<br/>";
 $page.="Ваш браузер: $browser_name<br/>";
 $page.="Ваш IP: $ip";

 $page.="<br/>";
 $page.="- - - -<br/>";

$page.="Поздравляем Уважаемый $login Вы успешно прошли авторизацию<br/>
        	    
        	    
        	    
        	    <br/><a href='./'>Далее</a><br/><br/>";
        	    display($page, "Вход",$style);
        	    die();
        	 } else {$page.="<br/>ОШИБКА!!!<br/>";};
        }



     }

}
else {
          setcookie($gamename, "", time()-100000, "/", "", 0);

}

   
    $page.="</div><div class='head'><img src='css/img/logo.gif' align='center'/></div>
    <div class='f'>Свет Возрождения</div></div>";
    $page.="<div class='link'>";
    $page .= "<form action='login.php?do=login' method='post'>Логин<br/>
      <input type=\"text\" name=\"login\" size=\"10\" maxlength=\"10\"/><br/>
Пароль:<br/>
<input type=\"password\" name=\"pass\" size=\"10\" maxlength=\"10\"/><br/>
<input type=\"submit\" value=\"Войти\" class=\"ibutton\"><br/><br/>";



    $page.="<a href=\"./reg.php\">Регистрация</a><br/>";
    $npc = @mysql_query("select news from `news`;");
	$npc = @mysql_num_rows($npc);
    $page.="<a href='./news.php?str=1'>Новости($npc)</a><br/>";
    $page.="<a href='./help.php?id=0'>Помощь</a><br/>";
    $page.="<a href='./stat.php?go=stat'>Статистика</a><br/>";
    $page.="Онлайн: <a href='./?do=online'>".online()."</a><br/>";
     
   
   
   $page.="<div class='copy'>Built by blowrus 26.03.10</div>";
  
    display($page, "Вход",$style);
    echo info_compress();
     echo $time;

?>